Find the answer to your Linux question:
Results 1 to 3 of 3
Hello, I have the following error when updating the packages list with 'sudo apt-get update' : (...) Ign Index of / quantal-security/universe Translation-en_US Fetched 1,866 B in 5s (370 B/s) ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Newbie
    Join Date
    Dec 2008
    Location
    Luxembourg
    Posts
    135

    package update error


    Hello,
    I have the following error when updating the packages list with 'sudo apt-get update' :

    (...)
    Ign Index of / quantal-security/universe Translation-en_US

    Fetched 1,866 B in 5s (370 B/s)
    Encountered a section with no Package: header
    Problem with MergeList /var/lib/apt/lists/ubuntu.mirror.root.lu_ubuntu_dists_quantal_restric ted_i18n_Translation-en

    The package lists or status file could not be parsed or opened.
    Can't call method "policy" on an undefined value at /usr/bin/apt-show-versions line 56.

    E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions -i'
    E: Sub-process returned an error code



    Thanks for aour advice or attention.
    Bruno

  2. #2
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Which version of Ubuntu are you using?
    It was common error in most of Debian based distros including Ubuntu. apt in latest versions of Debian based distros doesn't throw such error now.

    You have to disable package Translations in apt and remove Translations files from lists.
    Code:
    sudo rm -r /var/lib/apt/lists/*Translation*
    Create a /etc/apt/apt.conf.d/99translations file and put this code :
    Code:
    Package: *
    Acquire::Languages "none";
    Setting Languages to none won't disable your Language/Locale retrieval.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  3. #3
    Linux Newbie
    Join Date
    Dec 2008
    Location
    Luxembourg
    Posts
    135
    It works now. Thanks.
    I'm using the latest Ubuntu Quantal Quetzal 12.10

    Note : I have to remove the first line 'Package: *' in the file /etc/apt/apt.conf.d/99transalations as previously mentionned.

    Bye,
    Bruno

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •